Subject: Re: [bitcoin-dev] BIP - Block size doubles at each reward halving with max block size of 32M

From: Luke Dashjr <[email-masked]>
Date: Sat, 14 Nov 2015 21:11:22 +0000

On Saturday, November 14, 2015 10:52:12 AM Jorge Timón via bitcoin-dev wrote:
> Currently bip99 recommends 95% miner upgrade confirmation with version bits
> (bip9) for uncontroversial hardforks just like it does for uncontroversial
> softforks. It is true that in the case of hardforks miners don't decide and
> it's the whole economy who has to upgrade before activation, but "the whole
> economy" and "all users" includes miners, so why not use the only upgrade
> confirmation mechanism that we have available?

Actually, the economy does not necessarily include miners, and in fact the 
present miner community for the most part does not overlap significantly with 
economic activity. And at the same time, miners also have a tendency to 
upgrade at a different rate than the economy. It might make sense to 
incorporate a miner-trigger, but *only if* the flag is enabled in nodes by an 
option disabled by default, and the BIP clearly specifies that miners must not 
enable it until they perceive complete economic adoption of the change.

Luke